DRUMGIZMO(1)

NAME
drumgizmo - drum application

SYNOPSIS
drumgizmo [OPTIONS] <FILE>

DESCRIPTION

DrumGizmo is an open source cross-platform drum plugin and stand-alone application. It is comparable to several commercial drum plugin products.

DrumGizmo uses an open drumkit file format, allowing the community to create their own drumkits. It has multichannel output, making it possible to mix it just the way you would a real drumkit. The optional built-in humanizer analyzes the midi notes, adjusting velocities on-the-fly. This client can be a stand-alone midi renderer, generating .wav files, 1 for each channel. Or use DrumGizmo as a software sampler for an electronic drumkit. There are also plugin versions available.

OPTIONS
-a, --async_load
    Load kit in the background.
-b, --bleed
    Set and enable master bleed.
-i, --inputengine {dummy|test|jackmidi|midifile}
    Use said event input engine.
-I, --inputparms parmlist
    Set input engine parameters. jackmidi:
    midimap=<midimapfile> midifile:
    file=<midifile>
    speed=<tempo> (default 1.0)
    track=<miditrack> (default -1, all tracks)
    midimap=<midimapfile>
    loop=<true|false> ossmidi:
    midimap=<midimapfile>
    dev=<device> (default '/dev/midi') test:
    p=<hit_propability> (default 0.1)
    instr=<instrument> (default -1, random instrument)
    len=<seconds> (default -1, forever) dummy:
-o, --outputengine {dummy|alsa|jackaudio|wavfile|oss}
    Use said audio output engine.
-O, --outputparms parmlist
    Set output engine parameters. alsa:
    dev=<device> (default 'default')
    frames=<frames> (default 32)
    srate=<samplerate> (default 44100) wavfile:
    file=<filename> (default 'output')
    srate=<samplerate> (default 44100) oss:
    dev=<device> (default /dev/dsp)
    srate=<samplerate> (default 44100)
    max_fragments=<fragments> (default 4)
    fragment_size=<size> (default 8)
    More info on max_fragments and fragment_size on http://manuals.opensound.com/developer/SNDCTL_DSP_SETFRAGMENT.html jackaudio: dummy:
-e, --endpos
    Number of samples to process, (default -1: infinite)
-r, --no-resampling
    Disable resampling
-s, --streaming
    Enable diskstreaming
-S, --strimingparms parmlist
    Parameters for controlling the streaming buffers.
    limit=<size> (Limit the amount of preloaded drumkit data to the size)
-t, --timing-humanizer
    Enable moving of notes in time.
    Note: adds latency to the output so do not use this with a real-time midi drumkit.
-T, --timing-humanizerparms parmlist
    Timing humanizer options.
    laidback=<val> (Move notes ahead or behind in time in ms [+/-100].)
    tightness=<val> (Control the tightness of the drummer. [0,1].)
    regain=<val> (Control how fast the drummer catches up the timing. [0,1])
-t, --velocity-humanizer
    Enables adapting input velocities to make it sound more realistic.
-T, --velocity-humanizerparms parmlist
    Velocity humanizer options.
    attack=<val> (How quickly the velocity gets reduced when playing fast notes. Lower values result in faster velocity reduction. [0,1])
    release=<val> (How quickly the drummer regains the velocity when there are spaces between the notes. Lower values result in faster regain. [0,1])
    stddev=<val> (The standard-deviation for the velocity humanizer. Higher value makes it more likely that a sample further away from the input velocity will be played. [0,4.5])
-p, --parameters parmlist
    Parameters for the sample selection algorithm.
    close=<val> (The importance given to choosing a sample close to the actual velocity value (after humanization) [0,1])
    diverse=<val> (The importance given to choosing samples which haven't been played recently [0,1])
    random=<val> (The amount of randomness added [0,1])
-v, --version
    Print drumgizmo version and exit.
-h, --help
    Print command line help and exit.
drumkitfile
    Load the drumkitfile.

EXAMPLES
Render midifile to wav files:
    drumgizmo -i midifile -I file=file.mid,midimap=midimap.xml -o wavfile -O file=prefix drumkit.xml
Receive midi from Jack and send audio output to speakers:
    drumgizmo -i jackmidi -I midimap=midimap.xml -o jackaudio drumkit.xml

BUGS
Report bugs to http://www.drumgizmo.org/wiki/doku.php?id=bugs.

ADDITIONAL INFORMATION
For further information, visit the website http://www.drumgizmo.org.